<div class="table-responsive">
  <table class="table table-bordered">
    <tr class="flex-row">
      <th class="flex-column">
        Type of Visit
      </th>

      <th class="flex-column">
        Date of Visit
      </th>

      <th class="flex-column">
        Follow Up Date
      </th>

      <th class="flex-action-column">
      </th>
    </tr>

    <!-- Search Fields -->
    <tr class="flex-row">
      <th class="flex-column">
        <input class="form-control" placeholder="Search...">
      </th>

      <th class="flex-column">
        <input class="form-control" placeholder="Search...">
      </th>

      <th class="flex-column">
        <input class="form-control" placeholder="Search...">
      </th>

      <th class="flex-action-column">
      </th>
    </tr>

    <tr class="flex-row" *ngFor="let communication of communicationList">
      <td class="flex-column">
        {{communication.type_of_visit}}
      </td>

      <td class="flex-column">
        {{communication.date_of_visit }}
      </td>

      <td class="flex-column">
        {{communication.follow_up_date }}
      </td>

      <td class="flex-action-column">
        <i class="fas fa-pencil-alt mr-2 cursor-pointer" tooltip="Edit" (click)="editCommunication(communication)"></i>
        <i class="fas fa-trash-alt mr-2 cursor-pointer" tooltip="Delete" (click)="openConfirmDialog(communication)"></i>
      </td>
    </tr>
  </table>
</div>